<html>
<head>
<title>OgreInstancedGeometry.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">OgreInstancedGeometry.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMovableObject_8h_source.html">OgreMovableObject.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSimpleRenderable_8h_source.html">OgreSimpleRenderable.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSkeleton_8h_source.html">OgreSkeleton.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSkeletonInstance_8h_source.html">OgreSkeletonInstance.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreBone_8h_source.html">OgreBone.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreIteratorWrappers_8h_source.html">OgreIteratorWrappers.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMesh_8h_source.html">OgreMesh.h</a>&quot;</code><br/>
</div>
<p><a href="OgreInstancedGeometry_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pre-transforms and batches up meshes for efficient use as instanced geometry in a scene.  <a href="classOgre_1_1InstancedGeometry.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1OptimisedSubMeshGeometry.html">Ogre::InstancedGeometry::OptimisedSubMeshGeometry</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Struct holding geometry optimised per <a class="el" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a> / lod level, ready for copying to instances.  <a href="classOgre_1_1InstancedGeometry_1_1OptimisedSubMeshGeometry.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1InstancedGeometry_1_1SubMeshLodGeometryLink.html">Ogre::InstancedGeometry::SubMeshLodGeometryLink</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Saved link between <a class="el" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a> at a LOD and vertex/index data May point to original or optimised geometry.  <a href="structOgre_1_1InstancedGeometry_1_1SubMeshLodGeometryLink.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html">Ogre::InstancedGeometry::QueuedSubMesh</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Structure recording a queued submesh for the build.  <a href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedGeometry.html">Ogre::InstancedGeometry::QueuedGeometry</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Structure recording a queued geometry for low level builds.  <a href="structOgre_1_1InstancedGeometry_1_1QueuedGeometry.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">Ogre::InstancedGeometry::GeometryBucket</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html" title="A GeometryBucket is a the lowest level bucket where geometry with the same vertex &amp; index format is s...">GeometryBucket</a> is a the lowest level bucket where geometry with the same vertex &amp; index format is stored.  <a href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html" title="A MaterialBucket is a collection of smaller buckets with the same Material (and implicitly the same L...">MaterialBucket</a> is a collection of smaller buckets with the same <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> (and implicitly the same LOD).  <a href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">Ogre::InstancedGeometry::LODBucket</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html" title="A LODBucket is a collection of smaller buckets with the same LOD.">LODBucket</a> is a collection of smaller buckets with the same LOD.  <a href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The details of a topological <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning for this class...">BatchInstance</a> which is the highest level of partitioning for this class.  <a href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
